Stop Sandbox
POST
/v1/sandbox/{sandboxId}/stopPOST
/v1/sandbox/{'{sandboxId}'}/stopYour instance endpoint, shown on the instance page in the dashboard. Each instance has its own host; there is no shared API host.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
sandboxId | path | string | Yes |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No |
Responses
200 Stop a running sandbox, preserving workspace snapshot
| Property | Type | Description |
|---|---|---|
success | boolean | |
message | string |
default An unexpected error response.
| Property | Type | Description |
|---|---|---|
code | integer | |
message | string | |
details | object[] |
Request
curl -X POST "https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/stop" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"tenantId":"string"}'const response = await fetch("https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/stop", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
"tenantId": "string"
}),
});
const data = await response.json();import requests
response = requests.post(
"https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/stop",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"tenantId": "string"
},
)
data = response.json()Response
{
"success": true,
"message": "string"
}{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}
